Name:          henplus
Version:       0.9.8
Release:       1%{?dist}
Summary:       JDBC SQL utility with read-line command-line editing
License:       GPLv2+
URL:           http://henplus.sourceforge.net/
Source0:       http://downloads.sourceforge.net/henplus/%{name}-%{version}.tar.gz

Patch0:        henplus-0.9.8-disable-sat-taskdef.patch

BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: java-javadoc
BuildRequires: libreadline-java
%if %{?fedora} >= 21
BuildRequires: javapackages-local
%else
BuildRequires: maven-local
%endif

Requires:      apache-commons-cli
Requires:      libreadline-java

BuildArch:     noarch

%description
A SQL command-line front-end with TAB-completion and history for any
JDBC aware database. It supports multiple open database sessions in
parallel.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete
%patch0 -p0

sed -i 's|source="1.3"|source="1.6"|' build.xml
sed -i 's|target="1.3"|target="1.6"|' build.xml
sed -i 's|encoding="ISO-8859-1"|encoding="UTF-8"|' build.xml

sed -i 's|http://java.sun.com/j2se/1.4/docs/api|%{_javadocdir}/java|' build.xml

native2ascii -encoding UTF8 src/henplus/commands/TimeRenderer.java \
 src/henplus/commands/TimeRenderer.java

# Fix incorrect-fsf-address https://github.com/neurolabs/henplus/issues/38
sed -i "s,59,51,;s,Temple Place,Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," COPYING

%build

export CLASSPATH=$(build-classpath commons-cli libreadline-java)
ant jar javadoc

%install
%mvn_file net.sourceforge:%{name} %{name}
%mvn_artifact net.sourceforge:%{name}:%{version} build/%{name}.jar
%mvn_install -J javadoc/api

%jpackage_script henplus.HenPlus "" "" %{name}:commons-cli:libreadline-java %{name} true

%files -f .mfiles
%{_bindir}/%{name}
%doc README
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Wed Apr 29 2015 gil cattaneo <puntogil@libero.it> 0.9.8-1
- initial rpm
